/*
 * networking.h
 * (C) Peter Salanki 2002
 * This program is copyright, and covered by the Gnu Public License.
 * The Natasha bot.
 * sorcer@linux.se
 */

#include "settings.h"

#define NAME "Networking"
#define VERSION 0.50

#define END_LINE 0x0A   /* \n */

MODULE_INIT _module_init(MODULE m);
MODULE_DESTROY _module_destroy(MODULE m);

int read_line(char *line_to_return);
void *listener(void* ptr);
int checksip(struct sockaddr_in *cliAddr);

int putsocket(char *text, int fd);
int netparse(char *buffer, BOOL forward);
void nethandle(char *command, char *tail);

void net_privmsg(char *tail);

int tailfd;
int listenfd;
BOOL destroylistener;
